org.jgroups.blocks

## Interface RpcDispatcher.Marshaller

All Known Subinterfaces:
  RpcDispatcher.Marshaller2

All Known Implementing Classes:
  RpcDispatcher.MarshallerAdapter

Enclosing class:
  RpcDispatcher

    public static interface RpcDispatcher.Marshaller

### Method Summary

Methods
`java.lang.Object` `objectFromByteBuffer(byte[] buf)`
`byte[]` `objectToByteBuffer(java.lang.Object obj)`

### Method Detail

#### objectToByteBuffer

    byte[] objectToByteBuffer(java.lang.Object obj)
                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### objectFromByteBuffer

    java.lang.Object objectFromByteBuffer(byte[] buf)
                                          throws java.lang.Exception

Throws:
  `java.lang.Exception`